
\ProvidesClass{jaesa}[2008/09/11 v1.0]
\LoadClass[10pt]{article}

\RequirePackage{graphicx}
\RequirePackage[fleqn]{amsmath}
\RequirePackage{amsfonts}
\RequirePackage{amsbsy}
\RequirePackage{amssymb}
\RequirePackage{longtable}
\RequirePackage{geometry}
\RequirePackage{fancyhdr}
\RequirePackage{color}
\usepackage{natbib} %% Reference
\definecolor{bblue}{rgb}{0,0,.8} %% tom azul mais escuro
\RequirePackage[colorlinks=true,linkcolor=bblue,citecolor=bblue,urlcolor=bblue]{hyperref}
\RequirePackage[justification=centering]{caption}
\captionsetup{labelfont=bf,textfont=bf}

%-----------------------------------------------------------------
\vfuzz2pt % Don't report over-full v-boxes if over-edge is small
\hfuzz2pt % Don't report over-full h-boxes if over-edge is small
% ----------------------------------------------------------------

\def\chapterautorefname{Chapter}
\def\sectionautorefname{Section}
\def\subsectionautorefname{Subsection}
\def\subsubsectionautorefname{Subsubsection}

\def\JOURNAL{Journal of Aerospace Engineering, Sciences and Applications, May--August 2008, Vol. I, No 2} % <- Journal name
%\setcounter{page}{34}

\newcommand\TITLE[1]{\begin{center}{\bf\large\MakeUppercase{#1}}\end{center}}
\newcommand\AUTHOR[1]{\vspace{-6mm}\begin{center}{\bf\large #1}\end{center}}
\newcommand\ADDRESS[1]{\vspace{-6mm}\begin{center}#1\end{center}}
\newcommand\ABSTRACT[1]{{\it\textbf{Abstract:} #1}}
\newcommand\KEYWORDS[1]{{\it\textbf{Keywords:} #1}.}
\newcommand\SHORTTITLE[1]{\def\HeaderTitle{#1}}
\newcommand\SHORTAUTHOR[1]{\def\HeaderAuthor{#1}}

\geometry{a4paper,verbose,tmargin=18mm,bmargin=19mm,lmargin=3cm,rmargin=2cm}
\frenchspacing
\pagestyle{fancy}
\lhead{\footnotesize \HeaderAuthor\\ \hfill}
\chead{}
\rhead{\footnotesize \HeaderTitle...\\ \hfill}
\lfoot{\footnotesize \JOURNAL}
\cfoot{}
\rfoot{\footnotesize \thepage}
%\setlength{\headheight}{25mm}
\setlength{\footskip}{11.5mm}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}


\makeatletter
\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3pt \@plus -1ex \@minus -.2ex}%
                                   {0.3ex \@plus.1ex}%
                                   {\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3pt \@plus -1ex \@minus -.2ex}%
                                     {0.3ex \@plus.1ex}%
                                     {\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3pt \@plus -1ex \@minus -.2ex}%
                                     {0.3ex \@plus.1ex}%
                                     {\bfseries}}
\renewcommand\@biblabel[1]{} 
\newcommand*\clinbiblabel[1]{\hspace\labelsep
                             \normalfont #1}
\renewenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
%	    \vspace{-21pt}
	    \leftmargin 8mm
	    \labelwidth\z@
	    \labelsep\z@
	    \itemsep\z@
	    \parsep\z@
	    \itemindent-\leftmargin	
	    \let\makelabel\clinbiblabel
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
        \renewcommand\newblock{\hskip .11em \@plus.33em \@minus.07em}%
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.=\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\makeatother

\setlength{\parindent}{0pt}
\setlength{\parskip}{10pt}
